<!DOCTYPE html>

<html 	xmlns="http://www.w3.org/1999/xhtml"
		xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="Spring MVC Application">
	<meta name="keywords" content="Spring, MVC">
	<meta name="author" content="Emrah Turkoglu">
	<meta http-equiv="X-UA-Compatible" content="IE=edge"> 
	
	<!--[if lt IE 9]>
  		<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
	<![endif]-->
	
	<title>Spring MVC</title>
</head>

<body>

	<form method="post" th:object="${student}" >
		First Name : <input type="text" th:field="*{firstName}" />
		
		<br/><br/>
		
		Last Name : <input type="text" th:field="*{lastName}" />
		
		<br/><br/>
		
		Country : <select th:field="*{country}">
				    <option th:value="'Brazil'" th:text="Brazil"></option>
				    <option th:value="'France'" th:text="France"></option>
				    <option th:value="'Germany'" th:text="Germany"></option>
				    <option th:value="'Türkiye'" th:text="Türkiye"></option>
				  </select>
		
		<br/><br/>
		
		City : <select th:field="*{city}">
					<option th:each="i : ${student.cities.entrySet()}" th:value="${i.key}" th:utext="${i.value}"></option>
			   </select>
			   
		<br/><br/>
		
		Team : <select th:field="*{team}">
					<option th:each="i : ${teams.entrySet()}" th:value="${i.key}" th:utext="${i.value}"></option>
			   </select>
			   
		<br/><br/>
		
		Favorite Language : 
		<input type="radio" th:field="${student.favoriteLanguage}" value="Java" th:text="Java" />
		<input type="radio" th:field="${student.favoriteLanguage}" value="C#" th:text="C-Sharp" />
		<input type="radio" th:field="${student.favoriteLanguage}" value="PHP" th:text="PHP" />
		<input type="radio" th:field="${student.favoriteLanguage}" value="Ruby" th:text="Ruby" />
		
		<br/><br/>
		
		Operating Systems : 
		<input type="checkbox" th:field="${student.operatingSystems}" value="MS Windows" th:text="MS_Windows" />
		<input type="checkbox" th:field="${student.operatingSystems}" value="Mac OS" th:text="Mac_OS" />
		<input type="checkbox" th:field="${student.operatingSystems}" value="Linux" th:text="Linux" />
		
		<br/><br/>
		
		<input type="submit">		
	</form>

</body>
</html>